<template>
  <router-link :to="'/'+card.slug">
    <div class="smart-view" :class="{ 'smart-card': isSmart }"> <!-- data-toggler="smart-card"  > smart-view smart-layout="smart-card" ooooor -->
      <span :class="card.type"></span>
      <div class="smart-image" :style="{ backgroundImage: 'url(' + image + ')' }"></div>
      <div class="smart-content">
        <h2 class="smart-title" style="-webkit-box-orient: vertical">{{ card.title }}</h2>
        <!--SHAME somehow webpack removes style="-webkit-box-orient: vertical"-->
          
        <div class="stats">
         <div v-if="card.stat.count_view">
           <span class="num">{{ card.stat.count_view }}</span> görüntülenme •
          <span class="num">{{ card.stat.count_comment }}</span> yorum</div>
         <div v-if="card.stat.count_popularity"><span class="num">{{ card.stat.count_popularity }}</span> kişi bunu konuşuyor</div>
        </div>
      </div>
    </div>
  </router-link>
</template>

<script>
  
  const timeFormat = { hour12: false, hour: '2-digit', minute: '2-digit' }

  export default {
    data () {
      return {
        isSmart: true,
        ok: false
      }
    },
    props: [
      'card'
    ],
    computed: {
      image () {
        return this.card.image_url // image_url2x TODO write a condition for responsive systems
      },
      toTime () {
        return new Date(this.card.date).toLocaleTimeString('tr-TR', timeFormat)
      }
    }
  }
</script>
